Get all invoices
https://api.propexo.com/v1/invoices/Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The Propexo unique identifier for the property
The Propexo unique identifier for the integration
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTThe property management system of record
Response
Successful response
- Array [
- ]
- Array [
- Array [
- ]
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
Whether there are more results
The total number of results
Possible values: >= 0
1000results object[]required
The Propexo unique identifier for the invoice
The date record first entered Propexo
The date record was last updated in Propexo
The date the record was last seen from the PMS
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the vendor from the integration vendor
The external ID of the financial account from the integration vendor
The external ID of the cash financial account from the integration vendor
The external ID of the AP financial account from the integration vendor
The amount due on the invoice, in cents
100000The amount paid on the invoice, in cents
100000custom_data object | nullrequired
The due date associated with the invoice
The deposit amount in cents associated with the invoice
100000The date a discount was issued on invoice
The date the invoice was issued
The reference number for the invoice
Notes associated with the invoice
The date the invoice was posted. Some PMS systems only show the month.
The month the invoice was posted.
The raw post status associated with the invoice
The sub total amount of the invoice
100000The amount of the invoice, in cents
100000The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The Propexo unique identifier for the cash financial account
The Propexo unique identifier for the ap financial account
The Propexo unique identifier for the integration
The property management system of record
Show 13 enum values
APPFOLIOBUILDIUMENTRATAMRIPROPERTYWAREPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTinvoice_items object[]required
The external ID from the integration vendor
The external ID of the property from the integration vendor
The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
The external ID of the financial account from the integration vendor
The external ID of the cash financial account from the integration vendor
The Propexo unique identifier for the invoice
The Propexo unique identifier for the construction job
The amount due on the invoice item, in cents
100000Notes associated with the invoice item
The amount of the invoice item, in cents
100000The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The Propexo unique identifier for the cash financial account
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/invoices/ \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": [
{
"id": "string",
"created_at": "string",
"updated_at": "string",
"last_seen": "string",
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_vendor_id": "string",
"x_financial_account_id": "string",
"x_cash_financial_account_id": "string",
"x_ap_financial_account_id": "string",
"amount_due_in_cents": 100000,
"amount_paid_in_cents": 100000,
"custom_data": "Unknown Type: object,null",
"due_date": "string",
"discount_amount_in_cents": 100000,
"discount_date": "string",
"invoice_date": "string",
"invoice_number": "string",
"notes": "string",
"post_date": "string",
"post_month": "string",
"post_status_raw": "string",
"sub_total_amount_in_cents": 100000,
"total_amount_in_cents": 100000,
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"integration_id": "string",
"integration_vendor": "APPFOLIO",
"invoice_items": [
{
"x_id": "string",
"x_property_id": "string",
"x_location_id": "string",
"x_gl_account_id": "string",
"x_cash_financial_account_id": "string",
"invoice_id": "string",
"construction_job_id": "string",
"amount_due_in_cents": 100000,
"notes": "string",
"total_amount_in_cents": 100000,
"property_id": "string",
"financial_account_id": "string",
"cash_financial_account_id": "string"
}
]
}
]
}